<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	xmlns:sec="http://www.thymeleaf.org/extras/spring-security" layout:decorate="~{template.html}">

<head>
	<title>SHIP Clip</title>
	<style type="text/css">
		td {
			vertical-align: middle
		}
	</style>
</head>

<body>
	<main layout:fragment="content">
		<div class="container">
			<div class="row">
				<div class="col-sm-12">
					<table id="table" class="table table-striped">
						<thead>
							<tr>
								<th>ID</th>
								<th>LANGKEY</th>
								<th>LOCALE</th>
								<th>VALUE</th>
								<th style="min-width: 84px"></th>
							</tr>
						</thead>
						<tbody>
							<tr th:each="t : ${list}">
								<td th:text="${t.pk}"></td>
								<td><span th:text="${t.langkey}"></span></td>
								<td><span th:text="${t.localecode.literal}" th:if="${t.localecode}"></span></td>
								<td><span th:text="${t.value}"></span></td>
								<td><a class="btn btn-outline-primary" th:href="@{/admin/translation/{id}(id=${t.pk})}"
										th:title="#{tooltip.edit}">
										<i class="fas fa-pen"></i>
									</a>&nbsp;
									<button class="btn btn-outline-danger" type="button" th:title="#{tooltip.delete}"
										data-bs-toggle="modal" th:data-bs-target="'#delete-modal-' + ${t.pk}"
										th:data-maintenance-id="${t.pk}">
										<i class="fas fa-trash-alt"></i>
									</button>
									<div th:id="'delete-modal-' + ${t.pk}" class="modal fade" tabindex="-1" role="dialog">
										<div class="modal-dialog modal-dialog-centered" role="document">
											<div class="modal-content">
												<div class="modal-header">
													<h3 th:text="#{title.delete.approval}"></h3>
												</div>
												<span class="modal-title" th:text="#{warning.delete.translation(${t.value})}"></span>
												<div class="modal-footer">
													<button type="button" class="btn btn-outline-secondary" data-bs-dismiss="modal"
														th:text="#{button.cancel}"></button>
													<a class="btn btn-outline-danger" th:href="@{/admin/deletetranslation/{id}(id=${t.pk})}"
														th:text="#{button.delete}"></a>
												</div>
											</div>
										</div>
									</div>
								</td>
							</tr>
						</tbody>
						<tfoot>
							<tr>
								<td colspan="4"><a th:href="@{/admin/addtranslation}" class="btn btn-outline-success form-control">
										<span th:text="#{button.add}"></span>
									</a></td>
								<td><a th:href="@{/admin/translation/export}" class="btn btn-outline-secondary" target="_blank"><i
											class="fas fa-download" th:title="#{button.download}"></i></a>&nbsp;
									<span class="dropdown">
										<button type="button" class="btn btn-outline-secondary dropdown-toggle" data-bs-toggle="dropdown"
											aria-expanded="false" data-bs-auto-close="outside"><i class="fas fa-upload"
												th:title="#{button.upload}"></i></button>
										<form class="dropdown-menu p-4" th:action="@{/admin/translation/upload}"
											enctype="multipart/form-data" method="post">
											<table>
												<tr>
													<td>
														<input type="file" name="file" />
													</td>
													<td>
														<button type="submit" class="btn btn-outline-primary"><span
																th:text="#{button.upload}"></span></button>
													</td>
												</tr>
											</table>
										</form>
								</td>
							</tr>
						</tfoot>
					</table>
					<script type="text/javascript">
						$(document)
							.ready(
								function () {
									var localeUrl = '[[@{/locale/{l}.json(l=${#locale})}]]';
									$('#table').DataTable({
										"language": {
											"url": localeUrl
										}
									});
								});
					</script>
				</div>
			</div>
		</div>
	</main>
</body>

</html>